package com.zcloud.service.dockingManagement.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.dockingManagement.ResponsiblePersonMapper;
import com.zcloud.service.dockingManagement.ResponsiblePersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：通知模板
 * 作者：luoxiaobao
 * 时间：2022-05-24
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ResponsiblePersonServiceImpl implements ResponsiblePersonService{

	@Autowired
	private ResponsiblePersonMapper responsiblepersonMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		responsiblepersonMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		responsiblepersonMapper.delete(pd);
	}

	public List<PageData> CorplistAll(PageData pd)throws Exception{
		return responsiblepersonMapper.CorplistAll(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		responsiblepersonMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return responsiblepersonMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return responsiblepersonMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return responsiblepersonMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		responsiblepersonMapper.deleteAll(ArrayDATA_IDS);
	}

}

